%define        majver %(echo %version | cut -d. -f 1-2)
Name:          gnome-common
Version:       3.18.0
Release:       1mamba
Summary:       Files required to bootstrap various Gnome modules when building from git
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://live.gnome.org
Source:        http://ftp.gnome.org/pub/GNOME/sources/gnome-common/%{majver}/gnome-common-%{version}.tar.xz
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: pkgconfig

%description
gnome-common contains files required to bootstrap various Gnome modules when building from git.

%package devel
Group:         Development/Libraries
Summary:       Files required to bootstrap various Gnome modules when building from git
Provides:      gnome-common
Obsoletes:     gnome-common
Requires:      autoconf
Requires:      autoconf-archive

%description devel
gnome-common contains files required to bootstrap various Gnome modules when building from git.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# provided by autoconf-archive
rm -f %{buildroot}%{_datadir}/aclocal/ax_check_enable_debug.m4
rm -f %{buildroot}%{_datadir}/aclocal/ax_code_coverage.m4

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
%{_bindir}/gnome-autogen.sh
#%{_bindir}/gnome-doc-common
%{_datadir}/aclocal/gnome-code-coverage.m4
%{_datadir}/aclocal/gnome-common.m4
%{_datadir}/aclocal/gnome-compiler-flags.m4
#%{_datadir}/gnome-common/data/*.make
%doc COPYING
#ChangeLog README

%changelog
* Sat Oct 10 2015 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.0-2mamba
- produce a -devel package
- remove files conflicting with autoconf-archive and require it and autoconf

* Mon Sep 22 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Mon Mar 24 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 3.7.4-1mamba
- automatic version update by autodist

* Wed Oct 24 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- update to 3.6.0

* Mon Jul 09 2012 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Sat Oct 04 2008 gil <puntogil@libero.it> 2.24.0-1mamba
- update to 2.24.0

* Sun Apr 08 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 2.12.0-1mamba
- package created by autospec
